Subject: Re: [nfsv4] Specification for session trunking connection loss

From: spencer shepler <[email-masked]>
Date: Fri, 17 Jun 2016 10:08:07 -0700

Martin,

This is question best taken up by the NFSv4 Working Group to receive broad
coverage / exposure to the topic.

Spencer

On Fri, Jun 17, 2016 at 4:22 AM, Martin Houry <[email-masked]> wrote:

> Dear Mr Shepler and  Mr. Dawkins,
>
> During my reading of the RFC 5661, I noticed on the point 2.10.13.
> Session Mechanics - Recovery there is no specification about the loss
> of one connection who is not the last connection of the session.
>
> Can I ask you if the RFC 5661 specify this kind of connection loss and
> is there a mecanism specified to explain the following steps after
> this connection loss?
>
> Thank you,
> Martin Houry
>

---

From: David Noveck <[email-masked]>
Date: Fri, 17 Jun 2016 13:38:11 -0400

I think it makes sense to file an errata for this.

To address this question in the "right" way, you'd probably have to rewrite
2.10.13.1.2. My guess is that that would wind up getting put off until the
next
document revision which has to be a long way off.

Here's a possible additional paragraph for 2.10.13.2.1 to be added to the
end of
the section.  That might be able to get through.

In case in which a connection is lost and it is not the last one associated

with a session or callback channel, clients may choose to continue with

a smaller number of connections but may also choose to create a new
connection.

When a client chooses to create a connection, it needs to follow the same
rules that

would apply when the connection was the last one.  In particular, the
client
MUST use BIND_CONN_TO_SESSION to associate the connection with
the session if, when the client ID was created, BIND_CONN_TO_SESSION
was specified in the spo_must_enforce list, or if the connection is to be

associated with the backchannel.

On Fri, Jun 17, 2016 at 1:08 PM, spencer shepler <[email-masked]>
wrote:

> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>
>